Bug 1292216 - Review Request: libwhirlpool - Whirlpool cryptographic hash function library
Summary: Review Request: libwhirlpool - Whirlpool cryptographic hash function library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Antonio
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-12-16 18:36 UTC by Denis Fateyev
Modified: 2016-02-01 09:56 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-24 22:50:15 UTC
anto.trande: fedora-review+


Attachments (Terms of Use)

Description Denis Fateyev 2015-12-16 18:36:12 UTC
Spec URL: http://www.fateyev.com/RPMS/Fedora22/libwhirlpool.spec
SRPM URL: http://www.fateyev.com/RPMS/Fedora22/libwhirlpool-1.0-1.fc24.src.rpm
Description: WHIRLPOOL cryptographic hash function library for UNIX and Linux. Also provides 'whirlpoolsum' utility for easy calculation and checking WHIRLPOOL hashes similar to 'md5sum' and 'shaXXXsum'.
Fedora Account System Username: dfateyev

Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=12217746 (Rawhide)
https://koji.fedoraproject.org/koji/taskinfo?taskID=12217724 (EPEL 7)

Comment 1 Upstream Release Monitoring 2016-01-07 13:56:01 UTC
dfateyev's scratch build of libwhirlpool-1.0-1.fc20.denf.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12449773

Comment 2 Antonio 2016-01-15 15:29:04 UTC
Package approved.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "GPL (v2 or later)", "*No copyright*
     BSD", "*No copyright* Public domain BSD", "Unknown or generated". 11
     files have unknown license. Detailed output of licensecheck in
     /home/sagitter/FedoraReview/1292216-libwhirlpool/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: EPEL5 requires explicit %clean with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)

===== SHOULD items =====

Generic:
[x]: Explicit BuildRoot: tag as required by EPEL5 present.
     Note: Missing buildroot (required for EPEL5)
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
[x]: Uses parallel make %{?_smp_mflags} macro.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     libwhirlpool-debuginfo
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: libwhirlpool-1.0-1.fc24.x86_64.rpm
          libwhirlpool-devel-1.0-1.fc24.x86_64.rpm
          libwhirlpool-debuginfo-1.0-1.fc24.x86_64.rpm
          libwhirlpool-1.0-1.fc24.src.rpm
libwhirlpool.x86_64: W: spelling-error Summary(en_US) cryptographic -> cryptography, cryptographer, crystallographic
libwhirlpool.x86_64: W: spelling-error %description -l en_US cryptographic -> cryptography, cryptographer, crystallographic
libwhirlpool.x86_64: W: spelling-error %description -l en_US shaXXXsum 
libwhirlpool-devel.x86_64: W: only-non-binary-in-usr-lib
libwhirlpool-devel.x86_64: W: no-documentation
libwhirlpool.src: W: spelling-error Summary(en_US) cryptographic -> cryptography, cryptographer, crystallographic
libwhirlpool.src: W: spelling-error %description -l en_US cryptographic -> cryptography, cryptographer, crystallographic
libwhirlpool.src: W: spelling-error %description -l en_US whirlpoolsum -> whirlpool sum, whirlpool-sum, whirlpools um
libwhirlpool.src: W: spelling-error %description -l en_US shaXXXsum 
4 packages and 0 specfiles checked; 0 errors, 9 warnings.




Rpmlint (debuginfo)
-------------------
Checking: libwhirlpool-debuginfo-1.0-1.fc24.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
libwhirlpool-devel.x86_64: W: only-non-binary-in-usr-lib
libwhirlpool-devel.x86_64: W: no-documentation
libwhirlpool.x86_64: W: spelling-error Summary(en_US) cryptographic -> cryptography, cryptographer, crystallographic
libwhirlpool.x86_64: W: spelling-error %description -l en_US cryptographic -> cryptography, cryptographer, crystallographic
libwhirlpool.x86_64: W: spelling-error %description -l en_US shaXXXsum 
3 packages and 0 specfiles checked; 0 errors, 5 warnings.



Requires
--------
libwhirlpool-debuginfo (rpmlib, GLIBC filtered):

libwhirlpool-devel (rpmlib, GLIBC filtered):
    libwhirlpool(x86-64)
    libwhirlpool.so.0()(64bit)

libwhirlpool (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libwhirlpool.so.0()(64bit)
    rtld(GNU_HASH)



Provides
--------
libwhirlpool-debuginfo:
    libwhirlpool-debuginfo
    libwhirlpool-debuginfo(x86-64)

libwhirlpool-devel:
    libwhirlpool-devel
    libwhirlpool-devel(x86-64)

libwhirlpool:
    libwhirlpool
    libwhirlpool(x86-64)
    libwhirlpool.so.0()(64bit)



Source checksums
----------------
https://github.com/dfateyev/libwhirlpool/archive/v1.0.tar.gz :
  CHECKSUM(SHA256) this package     : 6c21e3a2c0c8ac7f933ce358e24808218ce9a2507e018714a20b3ab304b85af2
  CHECKSUM(SHA256) upstream package : 6c21e3a2c0c8ac7f933ce358e24808218ce9a2507e018714a20b3ab304b85af2


Generated by fedora-review 0.6.0 (7737a2a) last change: 2015-11-26
Command line :./try-fedora-review -D EPEL5=1 -m fedora-rawhide-x86_64 -b 1292216
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, BATCH, EPEL6

Comment 3 Denis Fateyev 2016-01-15 16:26:24 UTC
Thanks for the review. Please let me know if you need to review your package.

Comment 4 Gwyn Ciesla 2016-01-15 17:37:26 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/libwhirlpool

Comment 5 Fedora Update System 2016-01-15 22:26:21 UTC
libwhirlpool-1.0-1.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d8f8d36f56

Comment 6 Fedora Update System 2016-01-15 22:26:26 UTC
libwhirlpool-1.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-969ea72593

Comment 7 Fedora Update System 2016-01-15 22:26:27 UTC
libwhirlpool-1.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1f063da3ad

Comment 8 Fedora Update System 2016-01-15 22:26:31 UTC
libwhirlpool-1.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-531deb5642

Comment 9 Fedora Update System 2016-01-16 15:48:19 UTC
libwhirlpool-1.0-1.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d8f8d36f56

Comment 10 Fedora Update System 2016-01-16 19:21:40 UTC
libwhirlpool-1.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-969ea72593

Comment 11 Fedora Update System 2016-01-16 19:24:53 UTC
libwhirlpool-1.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-531deb5642

Comment 12 Fedora Update System 2016-01-16 20:49:29 UTC
libwhirlpool-1.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-71fb68b388

Comment 13 Fedora Update System 2016-01-17 14:22:29 UTC
libwhirlpool-1.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1f063da3ad

Comment 14 Fedora Update System 2016-01-24 22:50:13 UTC
libwhirlpool-1.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-01-26 18:27:19 UTC
libwhirlpool-1.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-01-31 07:21:42 UTC
libwhirlpool-1.0-1.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-02-01 01:53:22 UTC
libwhirlpool-1.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2016-02-01 09:56:32 UTC
libwhirlpool-1.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.